Bug 270277 - Test SuspendableFileChangeListenerTest.testRenameAsRemoveAddSuspended is failed
Test SuspendableFileChangeListenerTest.testRenameAsRemoveAddSuspended is failed
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch2-fixed
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-03 07:36 UTC by Alexander Simon
Modified: 2017-04-13 11:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2017-04-03 07:36:57 UTC
Regression after commits:
- test for #258416 - AssertionError: nbfs://nbhost/org.netbea.... — Vladimir Kvashin _vkvashin@netbeans.org
- fixed #258416 - AssertionError: nbfs://nbhost/org.netbea.... — Vladimir Kvashin _vkvashin@netbeans.org_
- fixed #254043 - INFO [org.netbeans.spi.lexer.MutableTextInput]: !!WARNING!! Missing READ-LOCK when accessing TokenHierarchy
- access under read access — Vladimir Voskresensky <vv159170@netbeans.org>
Comment 1 Vladimir Kvashin 2017-04-03 15:19:31 UTC
fixed, change set 5bbd2cc6ff27 on enum
Comment 2 Vladimir Kvashin 2017-04-04 14:11:07 UTC
re-fixed the problem: 6572fc6ff112 on enum
Comment 3 Quality Engineering 2017-04-11 01:51:42 UTC
Integrated into 'main-silver', will be available in build *201704110002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/2ef0f06d8e12
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Fixed #270277 - Test SuspendableFileChangeListenerTest.testRenameAsRemoveAddSuspended is failed
(transplanted from 5bbd2cc6ff271287acea672a4d59907baf35a2a6)
Comment 4 ilia 2017-04-13 11:01:36 UTC
https://netbeans.org/bugzilla/show_bug.cgi?id=270277 Changesets:
    http://hg.netbeans.org/releases/rev/5bbd2cc6ff27 # Fixed #270277 - Test SuspendableFileChangeListenerTest.testRenameAsRemoveAddSuspended is failed
    http://hg.netbeans.org/releases/rev/6572fc6ff112 # Better fix for  #270277 - Test SuspendableFileChangeListenerTest.testRenameAsRemoveAddSuspended is failed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo